Name:              httpcomponents-project
Summary:           Common POM file for HttpComponents
Version:           7
Release:           %mkrel 4
Group:             Development/Java
License:           ASL 2.0
URL:               http://hc.apache.org/
# svn export http://svn.apache.org/repos/asf/httpcomponents/project/tags/%{version} %{name}-%{version}
# tar cJf %{name}-%{version}.tar.xz %{name}-%{version}
Source:            %{name}-%{version}.tar.xz
BuildArch:         noarch

BuildRequires:     maven-local


%description
Common Maven POM  file for HttpComponents. This project should be
required only for building dependant packages with Maven. Please don't
use it as runtime requirement.

%prep
%setup -q
%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :clirr-maven-plugin
%pom_remove_plugin :docbkx-maven-plugin
%pom_remove_plugin :maven-clover2-plugin
%pom_remove_plugin :maven-notice-plugin
%pom_remove_plugin :maven-site-plugin

%build
%mvn_file  : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 7-4.mga6
+ Revision: 982067
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 7-3.mga6
+ Revision: 976379
- First rebuild of the java stack
- sync package httpcomponents-project with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Dec 26 2014 pterjan <pterjan> 6-7.mga5
+ Revision: 806270
- Clean rebuild
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 6-5.mga5
+ Revision: 745603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6-4.mga5
+ Revision: 680196
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6-3.mga4
+ Revision: 505516
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 6-2.mga3
+ Revision: 353360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 6-1.mga3
+ Revision: 293062
- New version

* Thu Apr 28 2011 dmorgan <dmorgan> 4.1.1-4.mga1
+ Revision: 92454
- Rebuild after bootstrapping
- imported package httpcomponents-project


* Thu Feb 17 2011 Alexander Kurtakov <akurtako@redhat.com> 4.1.1-3
- Require maven (version 3) now.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 4.1.1-1
- Initial version
